﻿<?xml version="1.0" encoding="utf-8"?>
<pattern id="ContentDeclaration" xmlns="http://purl.oclc.org/dsdl/schematron">
    <title>Content Declaration Validations</title>


<rule context="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]">

<!--
          Rule Id: VR.ATO.GEN.307001
          
          IF (INT=NULLORBLANK AND RP:pyin.02.03:Declaration.StatementType.Code <> "TrueAndCorrect") OR 
              (INT<>NULLORBLANK AND INT:pyin.02.03:Declaration.StatementType.Code <> "TrueAndCorrect" )
            RETURN VALIDATION MESSAGE
          ENDIF
        -->

<assert  id="VR.ATO.GEN.307001" diagnostics="DVR.ATO.GEN.307001" subject="declaration2.02.01:Declaration/pyin.02.03:Declaration.StatementType.Code" test="not((
                                not($INT.Context)
                                and 
                                not(declaration2.02.01:Declaration/pyin.02.03:Declaration.StatementType.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and .= 'TrueAndCorrect'])
                              ) 
                              or
                              (
                                $INT.Context
                                and 
                                not(declaration2.02.01:Declaration/pyin.02.03:Declaration.StatementType.Code[@contextRef = $INT.ContextId and not(@i:nil='true' or @i:nil='1') and .= 'TrueAndCorrect'])
                              ))"></assert>

        <!--
            Rule ID: VR.ATO.GEN.307003
            
            IF (INT=NULLORBLANK AND RP:pyin.xx.xx:Declaration.SignatoryIdentifier.Text = NULLORBLANK) OR 
                (INT <> NULLORBLANK AND INT:pyin.xx.xx:Declaration.SignatoryIdentifier.Text = NULLORBLANK) 
                RETURN VALIDATION MESSAGE
            ENDIF
        -->

<assert  id="VR.ATO.GEN.307003" diagnostics="DVR.ATO.GEN.307003" subject="declaration2.02.01:Declaration/pyin.02.00:Declaration.SignatoryIdentifier.Text" test="not(
                 (not($INT.Context) and not(declaration2.02.01:Declaration/pyin.02.00:Declaration.SignatoryIdentifier.Text[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0])) or
                 ($INT.Context and not(declaration2.02.01:Declaration/pyin.02.00:Declaration.SignatoryIdentifier.Text[@contextRef = $INT.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]))
                 )"></assert>
<!--
      Rule ID: VR.ATO.GEN.307004
      
      IF (INT=NULLORBLANK AND RP:pyin.02.00:Declaration.Signature.Date = NULLORBLANK) OR 
          (INT <> NULLORBLANK AND INT:pyin.02.00:Declaration.Signature.Date = NULLORBLANK)
          RETURN VALIDATION MESSAGE
      ENDIF
    -->

<assert  id="VR.ATO.GEN.307004" diagnostics="DVR.ATO.GEN.307004" subject="declaration2.02.01:Declaration/pyin.02.00:Declaration.Signature.Date" test=" not(
                            (not($INT.Context) and not(declaration2.02.01:Declaration/pyin.02.00:Declaration.Signature.Date[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0])) or
                            ($INT.Context and not(declaration2.02.01:Declaration/pyin.02.00:Declaration.Signature.Date[@contextRef = $INT.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]))
                            )"></assert>
</rule>
</pattern>