﻿<?xml version="1.0" encoding="utf-8"?>
<pattern id="DataTypes" xmlns="http://purl.oclc.org/dsdl/schematron">
    <title>DataTypes Validations</title>

<!-- DATE TYPE -->

<rule name="VR.ATO.GEN.001008" context="xbrli:startDate[not(@i:nil='true' or @i:nil='1')]">
<extends rule="xsd-datatype-date" />
</rule>

<rule name="VR.ATO.GEN.001008" context="xbrli:endDate[not(@i:nil='true' or @i:nil='1')]">
<extends rule="xsd-datatype-date" />
</rule>
<!--xsd-datatype-monetary-->

<rule name="VR.ATO.GEN.001009" context="rvctc3.02.00:Tax.Losses.DeductedContinuityOfMajorityOwnershipTestFailedButSameBusinessTestPassed.Amount[not(@i:nil='true' or @i:nil='1')]">
<extends rule="xsd-datatype-monetary" />
</rule>

<rule name="VR.ATO.GEN.001009" context="rvctc3.02.02:Capital.Losses.DeductedContinuityOfMajorityOwnershipTestFailedButSameBusinessTestPassed.Amount[not(@i:nil='true' or @i:nil='1')]">
<extends rule="xsd-datatype-monetary" />
</rule>

<rule name="VR.ATO.GEN.001009" context="rvctc3.02.00:Tax.Losses.CarriedForward.SameBusinessTestPassed.Amount[not(@i:nil='true' or @i:nil='1')]">
<extends rule="xsd-datatype-monetary" />
</rule>

<rule name="VR.ATO.GEN.001009" context="rvctc3.02.15:Capital.Losses.CarriedForward.SameBusinessTestPassedNet.Amount[not(@i:nil='true' or @i:nil='1')]">
<extends rule="xsd-datatype-monetary" />
</rule>

<rule name="VR.ATO.GEN.001009" context="rvctc3.02.00:Tax.Losses.UnrealisedNetLossAtChangeoverTime.Amount[not(@i:nil='true' or @i:nil='1')]">
<extends rule="xsd-datatype-monetary" />
</rule>

<rule name="VR.ATO.GEN.001009" context="rvctc3.02.02:Tax.Losses.CarriedForward.ComplyingSuperannuationFHSAClass.Amount[not(@i:nil='true' or @i:nil='1')]">
<extends rule="xsd-datatype-monetary" />
</rule>

<rule name="VR.ATO.GEN.001009" context="rvctc3.02.02:Capital.Losses.CarriedForward.ComplyingSuperannuationFHSAClass.Amount[not(@i:nil='true' or @i:nil='1')]">
<extends rule="xsd-datatype-monetary" />
</rule>

<rule name="VR.ATO.GEN.001009" context="rvctc3.02.02:Tax.Losses.AttributabletoForeignNonAssessableNonExemptIncome.Amount[not(@i:nil='true' or @i:nil='1')]">
<extends rule="xsd-datatype-monetary" />
</rule>

<rule name="VR.ATO.GEN.001009" context="rvctc3.02.02:Tax.Losses.AllOtherForeignSourceIncomeNet.Amount[not(@i:nil='true' or @i:nil='1')]">
<extends rule="xsd-datatype-monetary" />
</rule>

<rule name="VR.ATO.GEN.001009" context="rvctc3.02.02:Tax.Losses.AssessableForeignSourceIncomeTotal.Amount[not(@i:nil='true' or @i:nil='1')]">
<extends rule="xsd-datatype-monetary" />
</rule>

<rule name="VR.ATO.GEN.001009" context="rvctc3.02.02:Tax.Losses.ChoiceToReduceConvertibleForeignLossesToStartingTotalThreshold.Amount[not(@i:nil='true' or @i:nil='1')]">
<extends rule="xsd-datatype-monetary" />
</rule>

<rule name="VR.ATO.GEN.001009" context="rvctc3.02.02:Tax.Losses.ConvertibleForeignLossesIncomeTotal.Amount[not(@i:nil='true' or @i:nil='1')]">
<extends rule="xsd-datatype-monetary" />
</rule>

<rule name="VR.ATO.GEN.001009" context="rvctc3.02.02:Tax.Losses.ForeignLossComponentExcludingControlledForeignCompanyDeducted.Amount[not(@i:nil='true' or @i:nil='1')]">
<extends rule="xsd-datatype-monetary" />
</rule>

<rule name="VR.ATO.GEN.001009" context="rvctc3.02.02:Tax.Losses.CarriedForward.ForeignLossComponentExcludingControlledForeignCompanies.Amount[not(@i:nil='true' or @i:nil='1')]">
<extends rule="xsd-datatype-monetary" />
</rule>

<rule name="VR.ATO.GEN.001009" context="rvctc3.02.04:Tax.Losses.ControlledForeignCompany.Amount[not(@i:nil='true' or @i:nil='1')]">
<extends rule="xsd-datatype-monetary" />
</rule>

<rule name="VR.ATO.GEN.001009" context="rvctc3.02.02:Tax.Losses.ControlledForeignCompanyDeducted.Amount[not(@i:nil='true' or @i:nil='1')]">
<extends rule="xsd-datatype-monetary" />
</rule>

<rule name="VR.ATO.GEN.001009" context="rvctc3.02.02:Tax.Losses.CarriedForward.ControlledForeignCompany.Amount[not(@i:nil='true' or @i:nil='1')]">
<extends rule="xsd-datatype-monetary" />
</rule>

<rule name="VR.ATO.GEN.001009" context="rvctc3.02.02:Tax.Losses.BalanceOfTaxLossesBroughtForwardFromPriorYear.Amount[not(@i:nil='true' or @i:nil='1')]">
<extends rule="xsd-datatype-monetary" />
</rule>

<rule name="VR.ATO.GEN.001009" context="rvctc3.02.02:Tax.Losses.ConvertibleForeignLosses.Amount[not(@i:nil='true' or @i:nil='1')]">
<extends rule="xsd-datatype-monetary" />
</rule>

<rule name="VR.ATO.GEN.001009" context="rvctc3.02.02:Tax.Losses.ForgivenDebtNet.Amount[not(@i:nil='true' or @i:nil='1')]">
<extends rule="xsd-datatype-monetary" />
</rule>

<rule name="VR.ATO.GEN.001009" context="rvctc3.02.02:Tax.Losses.ForeignSourceIncomeStartingTotal.Amount[not(@i:nil='true' or @i:nil='1')]">
<extends rule="xsd-datatype-monetary" />
</rule>

<rule name="VR.ATO.GEN.001009" context="rvctc3.02.02:Tax.Losses.Incurred.Amount[not(@i:nil='true' or @i:nil='1')]">
<extends rule="xsd-datatype-monetary" />
</rule>

<rule name="VR.ATO.GEN.001009" context="rvctc3.02.02:Tax.Losses.ConversionOfExcessFrankingOffsets.Amount[not(@i:nil='true' or @i:nil='1')]">
<extends rule="xsd-datatype-monetary" />
</rule>

<rule name="VR.ATO.GEN.001009" context="rvctc3.02.02:Tax.Losses.ExemptIncomeNet.Amount[not(@i:nil='true' or @i:nil='1')]">
<extends rule="xsd-datatype-monetary" />
</rule>

<rule name="VR.ATO.GEN.001009" context="rvctc3.02.02:Tax.Losses.Forgone.Amount[not(@i:nil='true' or @i:nil='1')]">
<extends rule="xsd-datatype-monetary" />
</rule>

<rule name="VR.ATO.GEN.001009" context="rvctc3.02.00:Tax.Losses.Total.Amount[not(@i:nil='true' or @i:nil='1')]">
<extends rule="xsd-datatype-monetary" />
</rule>

<rule name="VR.ATO.GEN.001009" context="rvctc3.02.02:Tax.Losses.TransferredOut.Amount[not(@i:nil='true' or @i:nil='1')]">
<extends rule="xsd-datatype-monetary" />
</rule>

<rule name="VR.ATO.GEN.001009" context="rvctc3.02.02:Tax.Losses.CarriedForward.LaterIncomeYearsTotal.Amount[not(@i:nil='true' or @i:nil='1')]">
<extends rule="xsd-datatype-monetary" />
</rule>

<rule name="VR.ATO.GEN.001009" context="rvctc3.02.00:Tax.Losses.CarriedForward.Total.Amount[not(@i:nil='true' or @i:nil='1')]">
<extends rule="xsd-datatype-monetary" />
</rule>

<rule name="VR.ATO.GEN.001009" context="rvctc3.02.02:Capital.Losses.CarriedForward.Net.Amount[not(@i:nil='true' or @i:nil='1')]">
<extends rule="xsd-datatype-monetary" />
</rule>

<rule name="VR.ATO.GEN.001009" context="rvctc3.02.02:Tax.Losses.CarriedForward.ForeignSourceConvertibleLosses.Amount[not(@i:nil='true' or @i:nil='1')]">
<extends rule="xsd-datatype-monetary" />
</rule>
<!-- xsd-datatype-boolean -->

<rule name="VR.ATO.GEN.001010" context="rvctc3.02.00:Tax.Losses.CarriedForward.ContinuityOfMajorityOwnershipTestPassed.Indicator[not(@i:nil='true' or @i:nil='1')]">
<extends rule="xsd-datatype-boolean" />
</rule>

<rule name="VR.ATO.GEN.001010" context="rvctc3.02.00:Tax.Losses.CurrentYearLossProvisionsApply.Indicator[not(@i:nil='true' or @i:nil='1')]">
<extends rule="xsd-datatype-boolean" />
</rule>

<rule name="VR.ATO.GEN.001010" context="rvctc3.02.00:Tax.Losses.ChangeOfOwnershipOrControlAfterReferenceTime.Indicator[not(@i:nil='true' or @i:nil='1')]">
<extends rule="xsd-datatype-boolean" />
</rule>

<rule name="VR.ATO.GEN.001010" context="rvctc3.02.00:Tax.Losses.MaximumNetAssetValueTestPassedAtChangeoverTime.Indicator[not(@i:nil='true' or @i:nil='1')]">
<extends rule="xsd-datatype-boolean" />
</rule>

<rule name="VR.ATO.GEN.001010" context="rvctc3.02.00:Tax.Losses.UnrealisedNetLossAtChangeoverTime.Indicator[not(@i:nil='true' or @i:nil='1')]">
<extends rule="xsd-datatype-boolean" />
</rule>
<!--xsd-datatype-sbrOrganisationNameItemType-->

<rule name="VR.ATO.GEN.001017" context="pyde.02.00:OrganisationNameDetails.OrganisationalName.Text[not(@i:nil='true' or @i:nil='1')]">
<extends rule="xsd-datatype-sbrOrganisationNameItemType" />
</rule>
<!--xsd-datatype-sbrAustralianBusinessNumberItemType-->

<rule name="VR.ATO.GEN.001017" context="pyid.02.00:Identifiers.AustralianBusinessNumber.Identifier[not(@i:nil='true' or @i:nil='1')]">
<extends rule="xsd-datatype-sbrAustralianBusinessNumberItemType" />
</rule>
</pattern>