﻿<?xml version="1.0" encoding="utf-8"?>
<pattern id="Content" xmlns="http://purl.oclc.org/dsdl/schematron">
    <title>Content Validations</title>


<rule context="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]">

<!--
            Rule ID: VR.ATO.CGLS.404000
            
            IF ([CGLS6] > 0 OR [CGLS9] > 0 OR [CGLS21] > 0 OR [CGLS24] > 0)
               AND ([CGLS39] = NULL OR [CGLS39] = 0)
               AND ([CGLS40] = NULL OR [CGLS40] = 0)
               AND ([CGLS41] = NULL OR [CGLS41] = 0)
               AND ([CGLS42] = NULL OR [CGLS42] = 0)
               AND ([CGLS43] = NULL OR [CGLS43] = 0)
             RETURN VALIDATION MESSAGE
            ENDIF

            [CGLS6] = CGLS:$RP.COTF:rvctc3:Tax.Losses.TransferredFromJoiningEntitiesIncludingHeadCompany.Amount
            [CGLS9] = CGLS:$RP.COTF:rvctc3:Tax.Losses.TransferredFromJoiningEntitiesAfterConsolidation.Amount
            [CGLS21] = CGLS:$RP.COTF:rvctc3:Capital.Losses.TransferredFromJoiningEntitiesIncludingHeadCompanyNet.Amount
            [CGLS24] = CGLS:$RP.COTF:rvctc3:Capital.Losses.TransferredFromJoiningEntitiesAfterConsolidation.Amount
            [CGLS39] = CGLS:$RP.Y0:rvctc3:Tax.Losses.TransferredLossWhichFirstFailedTheContinuityOfOwnershipOrControlTests.Amount
            [CGLS40] = CGLS:$RP.Y0-1:rvctc3:Tax.Losses.TransferredLossWhichFirstFailedTheContinuityOfOwnershipOrControlTests.Amount
            [CGLS41] = CGLS:$RP.Y0-2:rvctc3:Tax.Losses.TransferredLossWhichFirstFailedTheContinuityOfOwnershipOrControlTests.Amount
            [CGLS42] = CGLS:$RP.Y0-3:rvctc3:Tax.Losses.TransferredLossWhichFirstFailedTheContinuityOfOwnershipOrControlTests.Amount
            [CGLS43] = CGLS:$RP.Y0-4+:rvctc3:Tax.Losses.TransferredLossWhichFirstFailedTheContinuityOfOwnershipOrControlTests.Amount
        -->

<assert  id="VR.ATO.CGLS.404000" diagnostics="DVR.ATO.CGLS.404000" subject="rvctc3.02.02:Tax.Losses.TransferredFromJoiningEntitiesIncludingHeadCompany.Amount" test="
	                    not
	                    (
	                        (sum(rvctc3.02.02:Tax.Losses.TransferredFromJoiningEntitiesIncludingHeadCompany.Amount[@contextRef = $RP.COTF.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) &gt; 0])
	                         &gt; 0
	                         or
	                         sum(rvctc3.02.02:Tax.Losses.TransferredFromJoiningEntitiesAfterConsolidation.Amount[@contextRef = $RP.COTF.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) &gt; 0])
	                         &gt; 0
	                         or
	                         sum(rvctc3.02.02:Capital.Losses.TransferredFromJoiningEntitiesIncludingHeadCompanyNet.Amount[@contextRef = $RP.COTF.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) &gt; 0])
	                         &gt; 0
	                         or
	                         sum(rvctc3.02.02:Capital.Losses.TransferredFromJoiningEntitiesAfterConsolidation.Amount[@contextRef = $RP.COTF.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) &gt; 0])
	                         &gt; 0)
	                        and
	                        (	
                                count(rvctc3.02.02:Tax.Losses.TransferredLossWhichFirstFailedTheContinuityOfOwnershipOrControlTests.Amount[@contextRef = $RP.Y0.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) &gt; 0])
                                = 0                            
                                or
                                sum(rvctc3.02.02:Tax.Losses.TransferredLossWhichFirstFailedTheContinuityOfOwnershipOrControlTests.Amount[@contextRef = $RP.Y0.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) &gt; 0])
                                = 0
	                        )	
	                        and
	                        (	
                                count(rvctc3.02.02:Tax.Losses.TransferredLossWhichFirstFailedTheContinuityOfOwnershipOrControlTests.Amount[@contextRef = $RP.Y0-1.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) &gt; 0])
                                = 0                            
                                or
	                            sum(rvctc3.02.02:Tax.Losses.TransferredLossWhichFirstFailedTheContinuityOfOwnershipOrControlTests.Amount[@contextRef = $RP.Y0-1.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) &gt; 0])
	                            = 0	
	                        )	
	                        and
	                        (	
                                count(rvctc3.02.02:Tax.Losses.TransferredLossWhichFirstFailedTheContinuityOfOwnershipOrControlTests.Amount[@contextRef = $RP.Y0-2.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) &gt; 0])
                                = 0                            
                                or
	                            sum(rvctc3.02.02:Tax.Losses.TransferredLossWhichFirstFailedTheContinuityOfOwnershipOrControlTests.Amount[@contextRef = $RP.Y0-2.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) &gt; 0])
	                            = 0
	                        )	
	                        and
	                        (	
                                count(rvctc3.02.02:Tax.Losses.TransferredLossWhichFirstFailedTheContinuityOfOwnershipOrControlTests.Amount[@contextRef = $RP.Y0-3.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) &gt; 0])
                                = 0                            
                                or    
	                            sum(rvctc3.02.02:Tax.Losses.TransferredLossWhichFirstFailedTheContinuityOfOwnershipOrControlTests.Amount[@contextRef = $RP.Y0-3.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) &gt; 0])
	                            = 0
	                        )	
	                        and
	                        (	
                                count(rvctc3.02.02:Tax.Losses.TransferredLossWhichFirstFailedTheContinuityOfOwnershipOrControlTests.Amount[@contextRef = $RP.Y0-4P.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) &gt; 0])
                                = 0                            
                                or
	                            sum(rvctc3.02.02:Tax.Losses.TransferredLossWhichFirstFailedTheContinuityOfOwnershipOrControlTests.Amount[@contextRef = $RP.Y0-4P.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) &gt; 0])
	                            = 0
	                        )	
	                    )"></assert>
<!--
            Rule ID: VR.ATO.CGLS.404207

            IF ([CGLS11] + [CGLS12]) <> [CGLS13]
                     RETURN VALIDATION MESSAGE
            ENDIF

            [CGLS11] = CGLS:$RP.GRP:rvctc3.02.15:Tax.Losses.Deducted.Amount
            [CGLS12] = CGLS:$RP.TRFD:rvctc3.02.15:Tax.Losses.Deducted.Amount
            [CGLS13] = CGLS:$RP.TOT:rvctc3.02.15:Tax.Losses.Deducted.Amount           
        -->

<assert  id="VR.ATO.CGLS.404207" diagnostics="DVR.ATO.CGLS.404207" subject="rvctc3.02.15:Tax.Losses.Deducted.Amount" test="
	                    not
	                    (
                            round(100 * sum(
			                    rvctc3.02.15:Tax.Losses.Deducted.Amount[@contextRef = $RP.GRP.ContextId and not(@i:nil='true' or @i:nil='1')]|
	                        rvctc3.02.15:Tax.Losses.Deducted.Amount[@contextRef = $RP.TRFD.ContextId and not(@i:nil='true' or @i:nil='1')]))
	                        !=
                            round(100 * sum(
                            rvctc3.02.15:Tax.Losses.Deducted.Amount[@contextRef = $RP.TOT.ContextId and not(@i:nil='true' or @i:nil='1')]))
	                    )"></assert>
<!--
            Rule ID: VR.ATO.CGLS.404214      
           
            IF [CGLS106] > 0 AND COUNT([CGLS108]) = 0
            RETURN VALIDATION MESSAGE
            ENDIF

            [CGLS106] = CGLS:RP.TRFD:rvctc3.02.15:Tax.Losses.Deducted.Amount
            [CGLS108] = CGLS:TRFR:rvctc3.02.15:Tax.Losses.TransferredDeducted.Fraction
        -->

<assert  id="VR.ATO.CGLS.404214" diagnostics="DVR.ATO.CGLS.404214" test="
	                    not
	                    (
			               sum(rvctc3.02.15:Tax.Losses.Deducted.Amount[@contextRef = $RP.TRFD.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) &gt; 0])
                           &gt; 0
	                       and
	                       (	
	 	                      count(rvctc3.02.15:Tax.Losses.TransferredDeducted.Fraction[not(@i:nil='true' or @i:nil='1')])
	                          =	0
	                       )	
	                    )"></assert>
<!--
            Rule ID: VR.ATO.CGLS.404215
            
            IF ANY OCCURRENCE OF [CGLS108] <> NULL AND ([CGLS106] = NULL OR [CGLS106] = 0)
            RETURN VALIDATION MESSAGE
            ENDIF

            [CGLS106] = CGLS:RP.TRFD:rvctc3.02.15:Tax.Losses.Deducted.Amount
            [CGLS108] = CGLS:TRFR:rvctc3.02.15:Tax.Losses.TransferredDeducted.Fraction
        -->

  <assert  id="VR.ATO.CGLS.404215" diagnostics="DVR.ATO.CGLS.404215"
           test="not(
  	                       count(rvctc3.02.15:Tax.Losses.TransferredDeducted.Fraction[not(@i:nil='true' or @i:nil='1')])
	                       &gt; 0	
                           and
                           (	
                               count(rvctc3.02.15:Tax.Losses.Deducted.Amount[@contextRef = $RP.TRFD.ContextId and not(@i:nil='true' or @i:nil='1')])
                               = 0                            
                               or
                               sum(rvctc3.02.15:Tax.Losses.Deducted.Amount[@contextRef = $RP.TRFD.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) &gt; 0])
                               = 0
	                       )	
	                    )"/>
<!--
            Rule ID: VR.ATO.CGLS.404216
            
            IF SUM([CGLS109]) > [CGLS106]
              RETURN VALIDATION MESSAGE
            ENDIF

          [CGLS106] = CGLS:RP.TRFD:rvctc3.02.15:Tax.Losses.Deducted.Amount
          [CGLS109] = CGLS:TRFR:rvctc3.02.15:Tax.Losses.TransferredDeducted.Amount
        -->

<assert  id="VR.ATO.CGLS.404216" diagnostics="DVR.ATO.CGLS.404216" test="
                        not
                        (
                           round(100 * sum(
                           rvctc3.02.15:Tax.Losses.TransferredDeducted.Amount[not(@i:nil='true' or @i:nil='1')]))
                           &gt;
                           round(100 * sum(
                           rvctc3.02.15:Tax.Losses.Deducted.Amount[@contextRef = $RP.TRFD.ContextId and not(@i:nil='true' or @i:nil='1')]))
                        )"></assert>
<!--
            Rule ID: VR.ATO.CGLS.404211

            IF [CGLS115] <> NULL AND [CGLS115] > [CGLS107]
            RETURN VALIDATION MESSAGE
            ENDIF

            [CGLS107] = CGLS:RP.TOT:rvctc3.02.15:Tax.Losses.Deducted.Amount
            [CGLS115] = CGLS:RP:rvctc3.02.00:Tax.Losses.DeductedContinuityOfMajorityOwnershipTestFailedButSameBusinessTestPassed.Amount
        -->

<assert  id="VR.ATO.CGLS.404211" diagnostics="DVR.ATO.CGLS.404211" test="
                        not
                        (
                           count(rvctc3.02.00:Tax.Losses.DeductedContinuityOfMajorityOwnershipTestFailedButSameBusinessTestPassed.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])
                           &gt; 0
                           and
                           (
                               round(100 * sum(
                               rvctc3.02.00:Tax.Losses.DeductedContinuityOfMajorityOwnershipTestFailedButSameBusinessTestPassed.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]))
                               &gt;
                               round(100 * sum(
                               rvctc3.02.15:Tax.Losses.Deducted.Amount[@contextRef = $RP.TOT.ContextId and not(@i:nil='true' or @i:nil='1')]))
                           )
                        )"></assert>
<!--
            Rule ID: VR.ATO.CGLS.404008
        
            IF ANY OCCURANCE OF [CGLS109] > 0 OR ANY OCCURANCE OF [CGLS114] > 0 AND [CGLS35] = NULL
                  RETURN VALIDATION MESSAGE
            ENDIF

            [CGLS35] = CGLS:RP:rvctc3.02.02:Tax.Losses.TransferredLossUtilisedApportionmentRulesApplied.Indicator
            [CGLS109] = CGLS:TRFR:rvctc3.02.15:Tax.Losses.TransferredDeducted.Amount 
            [CGLS114] = CGLS:TRFR:rvctc3.02.15:Capital.Losses.TransferredApplied.Amount
        -->

<assert  id="VR.ATO.CGLS.404008" diagnostics="DVR.ATO.CGLS.404008" subject="rvctc3.02.00:Tax.Losses.TransferredUtilised.Amount" test="
                        not
                        (
                            (
                            count(rvctc3.02.15:Tax.Losses.TransferredDeducted.Amount[not(@i:nil='true' or @i:nil='1') and sum(.) &gt; 0 ]) &gt; 0
                             or
                             count(rvctc3.02.15:Capital.Losses.TransferredApplied.Amount[not(@i:nil='true' or @i:nil='1') and sum(.) &gt; 0 ]) &gt; 0
                             )
                            and
                            count(rvctc3.02.02:Tax.Losses.TransferredLossUtilisedApportionmentRulesApplied.Indicator[not(@i:nil='true' or @i:nil='1') and @contextRef = $RP.ContextId ])
                            = 0                            
                        )"></assert>
<!--
            Rule ID: VR.ATO.CGLS.404009
            
            IF [CGLS35] <> NULL AND
             COUNT(CONTEXT(TRFR))=0
              RETURN VALIDATION MESSAGE
             ENDIF

            [CGLS35] = CGLS:$RP:rvctc3:Tax.Losses.TransferredLossUtilisedApportionmentRulesApplied.Indicator
        -->

<assert  id="VR.ATO.CGLS.404009" diagnostics="DVR.ATO.CGLS.404009" subject="rvctc3.02.15:Tax.Losses.TransferredDeducted.Amount" test="
	                    not
	                    (
                            rvctc3.02.02:Tax.Losses.TransferredLossUtilisedApportionmentRulesApplied.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                            and
                            count($TRFR.ContextIds) = 0
                        )"></assert>
<!--
            Rule ID: VR.ATO.CGLS.404010

            IF [CGLS17] + [CGLS18] <> [CGLS19]
             RETURN VALIDATION MESSAGE
            END IF

            [CGLS17] = CGLS:$RP.GRP:rvctc3:Tax.Losses.CarriedForward.Total.Amount
            [CGLS18] = CGLS:$RP.TRFD:rvctc3:Tax.Losses.CarriedForward.Total.Amount
            [CGLS19] = CGLS:$RP.TOT:rvctc3:Tax.Losses.CarriedForward.Total.Amount
        -->

<assert  id="VR.ATO.CGLS.404010" diagnostics="DVR.ATO.CGLS.404010" subject="rvctc3.02.00:Tax.Losses.CarriedForward.Total.Amount" test="
	                    not
	                    (
                            round(100 * sum(
			                rvctc3.02.00:Tax.Losses.CarriedForward.Total.Amount[@contextRef = $RP.GRP.ContextId and not(@i:nil='true' or @i:nil='1')]|
	                        rvctc3.02.00:Tax.Losses.CarriedForward.Total.Amount[@contextRef = $RP.TRFD.ContextId and not(@i:nil='true' or @i:nil='1')]))
	                        !=
                            round(100 * sum(
                            rvctc3.02.00:Tax.Losses.CarriedForward.Total.Amount[@contextRef = $RP.TOT.ContextId and not(@i:nil='true' or @i:nil='1')]))
	                    )"></assert>
<!--
            Rule ID: VR.ATO.CGLS.404012
            
            IF [CGLS117] <> NULL AND [CGLS117] > [CGLS19]
             RETURN VALIDATION MESSAGE
            ENDIF



            [CGLS19] = CGLS:RP.TOT:rvctc3.02.00:Tax.Losses.CarriedForward.Total.Amount
            [CGLS117] = CGLS:RP:rvctc3.02.00:Tax.Losses.CarriedForward.SameBusinessTestPassed.Amount            
        -->

<assert  id="VR.ATO.CGLS.404012" diagnostics="DVR.ATO.CGLS.404012" subject="rvctc3.02.00:Tax.Losses.CarriedForward.Total.Amount" test="
                        not
                        (
                            count(rvctc3.02.00:Tax.Losses.CarriedForward.SameBusinessTestPassed.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])
                            &gt; 0
                            and
                            (
                               round(100 * sum(
                               rvctc3.02.00:Tax.Losses.CarriedForward.SameBusinessTestPassed.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]))
                               &gt;
                               round(100 * sum(
                               rvctc3.02.00:Tax.Losses.CarriedForward.Total.Amount[@contextRef = $RP.TOT.ContextId and not(@i:nil='true' or @i:nil='1')]))
                            )
                        )"></assert>
<!--
            Rule ID: VR.ATO.CGLS.404013
            
            IF ([CGLS19] <> NULL OR [CGLS93] <> NULL)
            AND [CGLS19] <> [CGLS93]  
            RETURN VALIDATION MESSAGE
            ENDIF

            [CGLS19] = CGLS:$RP.TOT:rvctc3:Tax.Losses.CarriedForward.Total.Amount
            [CGLS93] = CGLS:$RP:rvctc3:Tax.Losses.CarriedForward.LaterIncomeYearsTotal.Amount
        -->

<assert  id="VR.ATO.CGLS.404013" diagnostics="DVR.ATO.CGLS.404013" subject="rvctc3.02.00:Tax.Losses.CarriedForward.Total.Amount" test="
                        not
                        (
                            (rvctc3.02.00:Tax.Losses.CarriedForward.Total.Amount[@contextRef = $RP.TOT.ContextId and not(@i:nil='true' or @i:nil='1')]|
                             rvctc3.02.02:Tax.Losses.CarriedForward.LaterIncomeYearsTotal.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])
                            and
                            (
                               round(100 * sum(
                               rvctc3.02.00:Tax.Losses.CarriedForward.Total.Amount[@contextRef = $RP.TOT.ContextId and not(@i:nil='true' or @i:nil='1')]))
                               !=
                               round(100 * sum(                               
                               rvctc3.02.02:Tax.Losses.CarriedForward.LaterIncomeYearsTotal.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]))
                            )
                        )"></assert>
<!--
            Rule ID: VR.ATO.CGLS.404209

            IF ([CGLS110] + [CGLS111]) <> [CGLS112]
             RETURN VALIDATION MESSAGE
            ENDIF

            [CGLS110] = CGLS:RP.GRP:rvctc3.02.15:Capital.Losses.AppliedNet.Amount
            [CGLS111] = CGLS:RP.TRFD:rvctc3.02.15:Capital.Losses.AppliedNet.Amount            
            [CGLS112] = CGLS:RP.TOT:rvctc3.02.15:Capital.Losses.AppliedNet.Amount
        -->

<assert  id="VR.ATO.CGLS.404209" diagnostics="DVR.ATO.CGLS.404209" subject="rvctc3.02.15:Capital.Losses.AppliedNet.Amount" test="
	                    not
	                    (
                            round(100 * sum(
			                rvctc3.02.15:Capital.Losses.AppliedNet.Amount[@contextRef = $RP.GRP.ContextId and not(@i:nil='true' or @i:nil='1')]|
	                        rvctc3.02.15:Capital.Losses.AppliedNet.Amount[@contextRef = $RP.TRFD.ContextId and not(@i:nil='true' or @i:nil='1')]))
	                        !=
                            round(100 * sum(
                            rvctc3.02.15:Capital.Losses.AppliedNet.Amount[@contextRef = $RP.TOT.ContextId and not(@i:nil='true' or @i:nil='1')]))
	                    )"></assert>
<!--
            Rule ID: VR.ATO.CGLS.404217

            IF [CGLS111] > 0 AND COUNT([CGLS113]) = 0
               RETURN VALIDATION MESSAGE
            ENDIF

            [CGLS111] = CGLS:RP.TRFD:rvctc3.02.15:Capital.Losses.AppliedNet.Amount
            [CGLS113] = CGLS:TRFR:rvctc3.02.15:Capital.Losses.TransferredApplied.Fraction            
        -->

<assert  id="VR.ATO.CGLS.404217" diagnostics="DVR.ATO.CGLS.404217" subject="rvctc3.02.15:Capital.Losses.AppliedNet.Amount" test="
                         not
                         (
                           sum(rvctc3.02.15:Capital.Losses.AppliedNet.Amount[@contextRef = $RP.TRFD.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) &gt; 0])
                           &gt; 0
                           and
                           (
                              count(rvctc3.02.15:Capital.Losses.TransferredApplied.Fraction[not(@i:nil='true' or @i:nil='1')])
                              = 0
                           )   
                         )"></assert>
<!--
            Rule ID: VR.ATO.CGLS.404218
            
            IF ANY OCCURRENCE OF [CGLS113] <> NULL AND ([CGLS111] = NULL OR [CGLS111] = 0)
               RETURN VALIDATION MESSAGE
            ENDIF

            [CGLS111] = CGLS:RP.TRFD:rvctc3.02.15:Capital.Losses.AppliedNet.Amount
            [CGLS113] = CGLS:TRFR:rvctc3.02.15:Capital.Losses.TransferredApplied.Fraction        
        -->

<assert  id="VR.ATO.CGLS.404218" diagnostics="DVR.ATO.CGLS.404218" subject="rvctc3.02.15:Capital.Losses.AppliedNet.Amount" test="
                         not
                         (
                           count(rvctc3.02.15:Capital.Losses.TransferredApplied.Fraction[not(@i:nil='true' or @i:nil='1')])
                           &gt; 0
                           and
                           (
                               count(rvctc3.02.15:Capital.Losses.AppliedNet.Amount[@contextRef = $RP.TRFD.ContextId and not(@i:nil='true' or @i:nil='1')])
                               = 0                            
                               or
                               sum(rvctc3.02.15:Capital.Losses.AppliedNet.Amount[@contextRef = $RP.TRFD.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) &gt; 0])
                               = 0
                           )   
                         )"></assert>
<!--
            Rule ID: VR.ATO.CGLS.404219            
            
            IF SUM([CGLS114]) > [CGLS111]
                RETURN VALIDATION MESSAGE
            ENDIF

            [CGLS111] = CGLS:RP.TRFD:rvctc3.02.15:Capital.Losses.AppliedNet.Amount            
            [CGLS114] = CGLS:TRFR:rvctc3.02.15:Capital.Losses.TransferredApplied.Amount
            
        -->

<assert  id="VR.ATO.CGLS.404219" diagnostics="DVR.ATO.CGLS.404219" subject="rvctc3.02.15:Capital.Losses.AppliedNet.Amount" test="
                        not
                        (
                           round(100 * sum(
                           rvctc3.02.15:Capital.Losses.TransferredApplied.Amount[not(@i:nil='true' or @i:nil='1')  and string-length(normalize-space(.)) &gt; 0]))
                           &gt;
                           round(100 * sum(
                           rvctc3.02.15:Capital.Losses.AppliedNet.Amount[@contextRef = $RP.TRFD.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) &gt; 0]))
                        )"></assert>
<!--
            Rule ID: VR.ATO.CGLS.404213
            
            IF [CGLS116] <> NULL AND [CGLS116] > [CGLS112]
             RETURN VALIDATION MESSAGE
            ENDIF

            [CGLS112] = CGLS:RP.TOT:rvctc3.02.15:Capital.Losses.AppliedNet.Amount
            [CGLS116] = CGLS:RP:rvctc3.02.02:Capital.Losses.DeductedContinuityOfMajorityOwnershipTestFailedButSameBusinessTestPassed.Amount

        -->

<assert  id="VR.ATO.CGLS.404213" diagnostics="DVR.ATO.CGLS.404213" subject="rvctc3.02.15:Capital.Losses.AppliedNet.Amount" test="
                        not
                        (
                            count(rvctc3.02.02:Capital.Losses.DeductedContinuityOfMajorityOwnershipTestFailedButSameBusinessTestPassed.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])
                            &gt; 0
                            and
                            (
                               round(100 * sum(
                               rvctc3.02.02:Capital.Losses.DeductedContinuityOfMajorityOwnershipTestFailedButSameBusinessTestPassed.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) &gt; 0]))
                               &gt;
                               round(100 * sum(
                               rvctc3.02.15:Capital.Losses.AppliedNet.Amount[@contextRef = $RP.TOT.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) &gt; 0]))
                            )
                        )"></assert>
<!--
            Rule ID: VR.ATO.CGLS.404019

            IF [CGLS32] + [CGLS33] <> [CGLS34]
             RETURN VALIDATION MESSAGE
            END IF

            [CGLS32] = CGLS:$RP.GRP:rvctc3:Capital.Losses.CarriedForward.Net.Amount
            [CGLS33] = CGLS:$RP.TRFD:rvctc3:Capital.Losses.CarriedForward.Net.Amount
            [CGLS34] = CGLS:$RP.TOT:rvctc3:Capital.Losses.CarriedForward.Net.Amount
        -->

<assert  id="VR.ATO.CGLS.404019" diagnostics="DVR.ATO.CGLS.404019" subject="rvctc3.02.02:Capital.Losses.CarriedForward.Net.Amount" test="
	                    not
	                    (
                            round(100 * sum(
			                rvctc3.02.02:Capital.Losses.CarriedForward.Net.Amount[@contextRef = $RP.GRP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) &gt; 0]|
	                        rvctc3.02.02:Capital.Losses.CarriedForward.Net.Amount[@contextRef = $RP.TRFD.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) &gt; 0]))
	                        !=
                            round(100 * sum(
                            rvctc3.02.02:Capital.Losses.CarriedForward.Net.Amount[@contextRef = $RP.TOT.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) &gt; 0]))
	                    )"></assert>
<!--
            Rule ID: VR.ATO.CGLS.404021
            
            IF [CGLS118] <> NULL AND [CGLS118] > [CGLS34]
                  RETURN VALIDATION MESSAGE
            ENDIF

            [CGLS34] = CGLS:RP.TOT:rvctc3.02.02:Capital.Losses.CarriedForward.Net.Amount            
            [CGLS118] = CGLS:RP:rvctc3.02.15:Capital.Losses.CarriedForward.SameBusinessTestPassedNet.Amount            
        -->

<assert  id="VR.ATO.CGLS.404021" diagnostics="DVR.ATO.CGLS.404021" subject="rvctc3.02.02:Capital.Losses.CarriedForward.Net.Amount" test="
                        not
                        (
                            count(rvctc3.02.15:Capital.Losses.CarriedForward.SameBusinessTestPassedNet.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])
                            &gt; 0
                            and
                            (
                               round(100 * sum(
                               rvctc3.02.15:Capital.Losses.CarriedForward.SameBusinessTestPassedNet.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) &gt; 0]))
                               &gt;
                               round(100 * sum(
                               rvctc3.02.02:Capital.Losses.CarriedForward.Net.Amount[@contextRef = $RP.TOT.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) &gt; 0]))
                            )
                        )"></assert>
<!--
            Rule ID: VR.ATO.CGLS.404022

            IF [CGLS36] = TRUE AND
            COUNT CONTEXT JE = 0
            RETURN VALIDATION MESSAGE
            END IF

            [CGLS36] = CGLS:$RP:rvctc3:Tax.Losses.TransferredLossCancelledByHeadCompany.Indicator
        -->

<assert  id="VR.ATO.CGLS.404022" diagnostics="DVR.ATO.CGLS.404022" subject="rvctc3.02.02:Tax.Losses.TransferredLossCancelledByHeadCompany.Indicator" test="
	                    not
	                    (
                            rvctc3.02.02:Tax.Losses.TransferredLossCancelledByHeadCompany.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and matches(.,'^(true|1)$')]
                            and
                            count($JE.ContextIds) = 0
                        )"></assert>
<!--
            Rule ID: VR.ATO.CGLS.404023
            
            IF [CGLS36] = FALSE AND
            (CGLS:JE:entity.identifier.TFN <> NULLORBLANK OR [CGLS38] <> NULL)
            RETURN VALIDATION MESSAGE
            END IF

            [CGLS36] = CGLS:$RP:rvctc3:Tax.Losses.TransferredLossCancelledByHeadCompany.Indicator
            [CGLS38] = CGLS:$JE:rvctc3:Tax.Losses.TransferredLossCancelledByHeadCompany.Amount
        -->

<assert  id="VR.ATO.CGLS.404023" diagnostics="DVR.ATO.CGLS.404023" subject="rvctc3.02.02:Tax.Losses.TransferredLossCancelledByHeadCompany.Indicator" test="
                        not
                        (
                            rvctc3.02.02:Tax.Losses.TransferredLossCancelledByHeadCompany.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and matches(.,'^(false|0)$')]
                            and
                            (count($JE.ContextIds) &gt; 0
                             or
                             count(rvctc3.02.02:Tax.Losses.TransferredLossCancelledByHeadCompany.Amount[not(@i:nil='true' or @i:nil='1')]) &gt; 0)
                        )"></assert>
<!--
            IF ([CGLS94] OR [CGLS86] OR [CGLS89] OR [CGLS90] OR [CGLS91] OR [CGLS92] OR [CGLS103] OR [CGLS104]<>NULL) AND 
            ([CGLS104]+[CGLS94]+[CGLS86]+[CGLS103]+[CGLS89]+[CGLS90]+[CGLS91]+[CGLS92]>[CGLS83]+[CGLS85]+[CGLS87]+[CGLS88])
              RETURN VALIDATION MESSAGE
            ENDIF

            [CGLS83] = CGLS:RP:rvctc3.02.02:Tax.Losses.BalanceOfTaxLossesBroughtForwardFromPriorYear.Amount
            [CGLS85] = CGLS:RP:rvctc3.02.02:Tax.Losses.TransferredFromJoiningEntitiesUnderSubdivision707A.Amount
            [CGLS86] = CGLS:RP:rvctc3.02.02:Tax.Losses.ForgivenDebtNet.Amount
            [CGLS87] = CGLS:RP:rvctc3.02.02:Tax.Losses.Incurred.Amount
            [CGLS88] = CGLS:RP:rvctc3.02.02:Tax.Losses.ConversionOfExcessFrankingOffsets.Amount
            [CGLS89] = CGLS:RP:rvctc3.02.02:Tax.Losses.ExemptIncomeNet.Amount
            [CGLS90] = CGLS:RP:rvctc3.02.02:Tax.Losses.Forgone.Amount
            [CGLS91] = CGLS:RP:rvctc3.02.00:Tax.Losses.Total.Amount
            [CGLS92] = CGLS:RP:rvctc3.02.02:Tax.Losses.TransferredOut.Amount
            [CGLS94] = CGLS:RP:rvctc3.02.02:Tax.Losses.TransferredWithNilAvailableFractionApplied.Amount
            [CGLS103] = CGLS:RP:rvctc3.02.00:Tax.Losses.Utilised.Amount
            [CGLS104] = CGLS:RP:rvctc3.02.14:Tax.Losses.Uplift.Amount
        -->

<assert  id="VR.ATO.CGLS.404145" diagnostics="DVR.ATO.CGLS.404145" subject="rvctc3.02.02:Tax.Losses.BalanceOfTaxLossesBroughtForwardFromPriorYear.Amount" test="
                        not
                        (
                            (rvctc3.02.02:Tax.Losses.TransferredWithNilAvailableFractionApplied.Amount[contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]|
                             rvctc3.02.02:Tax.Losses.ForgivenDebtNet.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]|
                             rvctc3.02.02:Tax.Losses.ExemptIncomeNet.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]|
                             rvctc3.02.02:Tax.Losses.Forgone.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]|
                             rvctc3.02.00:Tax.Losses.Total.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]|
                             rvctc3.02.02:Tax.Losses.TransferredOut.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]|
                             rvctc3.02.02:Tax.Losses.BalanceOfTaxLossesBroughtForwardFromPriorYear.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]|
                             rvctc3.02.02:Tax.Losses.TransferredFromJoiningEntitiesUnderSubdivision707A.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]|
                             rvctc3.02.02:Tax.Losses.Incurred.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]|
                             rvctc3.02.02:Tax.Losses.ConversionOfExcessFrankingOffsets.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]|
                             rvctc3.02.00:Tax.Losses.Utilised.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]|
                             rvctc3.02.14:Tax.Losses.Uplift.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                            )
                            and
                            (
                               round(100 * sum(
                               rvctc3.02.02:Tax.Losses.TransferredWithNilAvailableFractionApplied.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]|
                               rvctc3.02.02:Tax.Losses.ForgivenDebtNet.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]|
                               rvctc3.02.02:Tax.Losses.ExemptIncomeNet.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]|
                               rvctc3.02.02:Tax.Losses.Forgone.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]|
                               rvctc3.02.00:Tax.Losses.Total.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]|
                               rvctc3.02.02:Tax.Losses.TransferredOut.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]|
                               rvctc3.02.00:Tax.Losses.Utilised.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                               ))
                               &gt;
                               round(100 * sum(
                               rvctc3.02.14:Tax.Losses.Uplift.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]|
                               rvctc3.02.02:Tax.Losses.BalanceOfTaxLossesBroughtForwardFromPriorYear.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]|
                               rvctc3.02.02:Tax.Losses.TransferredFromJoiningEntitiesUnderSubdivision707A.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]|
                               rvctc3.02.02:Tax.Losses.Incurred.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]|
                               rvctc3.02.02:Tax.Losses.ConversionOfExcessFrankingOffsets.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                               ))
                            )
                        )"></assert>
<!--            
            IF (([CGLS83] OR [CGLS104] OR [CGLS85] OR [CGLS94] OR [CGLS86] OR [CGLS87] OR [CGLS88] OR [CGLS89] OR [CGLS90] OR [CGLS91] OR [CGLS92] OR [CGLS93] OR [CGLS103])<>NULL) AND 
            ([CGLS93]<> [CGLS83]+[CGLS104]+[CGLS85]-[CGLS94]-[CGLS86]+[CGLS87]-[CGLS103]+[CGLS88]-[CGLS89]-[CGLS90]-[CGLS91]-[CGLS92]) 
                RETURN VALIDATION MESSAGE
            ENDIF

            [CGLS83] = CGLS:RP:rvctc3.02.02:Tax.Losses.BalanceOfTaxLossesBroughtForwardFromPriorYear.Amount 11
            [CGLS85] = CGLS:RP:rvctc3.02.02:Tax.Losses.TransferredFromJoiningEntitiesUnderSubdivision707A.Amount 9
            [CGLS86] = CGLS:RP:rvctc3.02.02:Tax.Losses.ForgivenDebtNet.Amount -7
            [CGLS87] = CGLS:RP:rvctc3.02.02:Tax.Losses.Incurred.Amount 6
            [CGLS88] = CGLS:RP:rvctc3.02.02:Tax.Losses.ConversionOfExcessFrankingOffsets.Amount 5
            [CGLS89] = CGLS:RP:rvctc3.02.02:Tax.Losses.ExemptIncomeNet.Amount -4
            [CGLS90] = CGLS:RP:rvctc3.02.02:Tax.Losses.Forgone.Amount -3
            [CGLS91] = CGLS:RP:rvctc3.02.00:Tax.Losses.Total.Amount -2
            [CGLS92] = CGLS:RP:rvctc3.02.02:Tax.Losses.TransferredOut.Amount -1
            [CGLS93] = CGLS:RP:rvctc3.02.02:Tax.Losses.CarriedForward.LaterIncomeYearsTotal.Amount
            [CGLS94] = CGLS:RP:rvctc3.02.02:Tax.Losses.TransferredWithNilAvailableFractionApplied.Amount -8
            [CGLS103] = CGLS:RP:rvctc3.02.00:Tax.Losses.Utilised.Amount 0
            [CGLS104] = CGLS:RP:rvctc3.02.14:Tax.Losses.Uplift.Amount 0
        -->

<assert  id="VR.ATO.CGLS.404146" diagnostics="DVR.ATO.CGLS.404146" test="
                        not
                        (
                            (rvctc3.02.02:Tax.Losses.BalanceOfTaxLossesBroughtForwardFromPriorYear.Amount[contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]|
                             rvctc3.02.14:Tax.Losses.Uplift.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]|
                             rvctc3.02.02:Tax.Losses.TransferredFromJoiningEntitiesUnderSubdivision707A.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]|
                             rvctc3.02.02:Tax.Losses.TransferredWithNilAvailableFractionApplied.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]|
                             rvctc3.02.02:Tax.Losses.ForgivenDebtNet.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]|
                             rvctc3.02.02:Tax.Losses.Incurred.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]|
                             rvctc3.02.02:Tax.Losses.ConversionOfExcessFrankingOffsets.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]|
                             rvctc3.02.02:Tax.Losses.ExemptIncomeNet.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]|
                             rvctc3.02.02:Tax.Losses.Forgone.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]|
                             rvctc3.02.00:Tax.Losses.Total.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]|
                             rvctc3.02.02:Tax.Losses.TransferredOut.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]|
                             rvctc3.02.02:Tax.Losses.CarriedForward.LaterIncomeYearsTotal.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]|
                             rvctc3.02.00:Tax.Losses.Utilised.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                            )
                            and
                            (
                               round(100 * sum(
                               rvctc3.02.02:Tax.Losses.CarriedForward.LaterIncomeYearsTotal.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                               ))
                               !=
                               (
                                   round(100 * sum(
                                   rvctc3.02.02:Tax.Losses.BalanceOfTaxLossesBroughtForwardFromPriorYear.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]|
                                   rvctc3.02.14:Tax.Losses.Uplift.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]|
                                   rvctc3.02.02:Tax.Losses.TransferredFromJoiningEntitiesUnderSubdivision707A.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                                   ))
                                   -
                                   round(100 * sum(
                                   rvctc3.02.02:Tax.Losses.TransferredWithNilAvailableFractionApplied.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]|
                                   rvctc3.02.02:Tax.Losses.ForgivenDebtNet.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                                   ))  
                                   +
                                   round(100 * sum(
                                   rvctc3.02.02:Tax.Losses.Incurred.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]|
                                   rvctc3.02.02:Tax.Losses.ConversionOfExcessFrankingOffsets.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]     
                                   ))
                                   -
                                   round(100 * sum(
                                   rvctc3.02.02:Tax.Losses.ExemptIncomeNet.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]|
                                   rvctc3.02.02:Tax.Losses.Forgone.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]|
                                   rvctc3.02.00:Tax.Losses.Total.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]|
                                   rvctc3.02.02:Tax.Losses.TransferredOut.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]|
                                   rvctc3.02.00:Tax.Losses.Utilised.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                                   ))            
                               )
                            )
                        )"></assert>
</rule>

<rule context="xbrli:xbrl/xbrli:context[
                        not(@i:nil='true' or @i:nil='1') 
                        and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
                        xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1')]) = 1]/ 
                        xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1')
                        and matches(@dimension,'^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$')
                        and matches(.,'^RprtPyType\.\d\d\.\d\d:Transferor$')]
                        ]">

<let name="This.TRFR.ContextId" value="./@id" />

<!--
            Rule ID: VR.ATO.CGLS.404231
            
            Note: The rule context references a node-set of up to 12xTRFR contexts.
                  Variable $This.TRFR.ContextId captures the current TRFR context id of the
                  context node being evaluated and is used in the test to find a matching
                  fraction element for each TRFR TFN.
                  
                  
            IN CONTEXT(TRFR)
            IF [CGLS108] > 1.000 OR [CGLS113] > 1.000
                  RETURN VALIDATION MESSAGE
            ENDIF

            [CGLS108] = CGLS:TRFR:rvctc3.02.15:Tax.Losses.TransferredDeducted.Fraction
            [CGLS113] = CGLS:TRFR:rvctc3.02.15:Capital.Losses.TransferredApplied.Fraction
                  
        -->

    <assert  id="VR.ATO.CGLS.404231" diagnostics="DVR.ATO.CGLS.404231" subject="rvctc3.02.15:Tax.Losses.TransferredDeducted.Fraction" test="
                        not
                        (
                        sum(../rvctc3.02.15:Tax.Losses.TransferredDeducted.Fraction[not(@i:nil='true' or @i:nil='1') and @contextRef = $This.TRFR.ContextId]/xbrli:numerator[not(@i:nil='true' or @i:nil='1')])
                        &gt;
                        sum(../rvctc3.02.15:Tax.Losses.TransferredDeducted.Fraction[not(@i:nil='true' or @i:nil='1') and @contextRef = $This.TRFR.ContextId]/xbrli:denominator[not(@i:nil='true' or @i:nil='1')])
                        or
                        sum(../rvctc3.02.15:Capital.Losses.TransferredApplied.Fraction[not(@i:nil='true' or @i:nil='1') and @contextRef = $This.TRFR.ContextId]/xbrli:numerator[not(@i:nil='true' or @i:nil='1')])
                        &gt;
                        sum(../rvctc3.02.15:Capital.Losses.TransferredApplied.Fraction[not(@i:nil='true' or @i:nil='1') and @contextRef = $This.TRFR.ContextId]/xbrli:denominator[not(@i:nil='true' or @i:nil='1')])
                        )"/>
<!--
            Rule ID: VR.ATO.CGLS.404037
        
            IN CONTEXT(TRFR)
            IF [CGLS108] = NULL AND [CGLS113] = NULL
              RETURN VALIDATION MESSAGE
            ENDIF

            [CGLS108] = CGLS:TRFR:rvctc3.02.15:Tax.Losses.TransferredDeducted.Fraction
            [CGLS113] = CGLS:TRFR:rvctc3.02.15:Capital.Losses.TransferredApplied.Fraction
            
        -->

<assert  id="VR.ATO.CGLS.404037" diagnostics="DVR.ATO.CGLS.404037" subject="rvctc3.02.15:Tax.Losses.TransferredDeducted.Fraction" test="
                        not
                        (
                            count(
                            ../rvctc3.02.15:Tax.Losses.TransferredDeducted.Fraction[
                            not(@i:nil='true' or @i:nil='1') and @contextRef = $This.TRFR.ContextId]
                            ) = 0
                            and
                            count(
                            ../rvctc3.02.15:Capital.Losses.TransferredApplied.Fraction[
                            not(@i:nil='true' or @i:nil='1') and @contextRef = $This.TRFR.ContextId]
                            ) = 0
                        )"></assert>
<!--
            Rule ID: VR.ATO.CGLS.404220
                        
            IN CONTEXT(TRFR)
            IF [CGLS108] = NULL AND [CGLS109] <> NULL
              RETURN VALIDATION MESSAGE
            ENDIF

            [CGLS108] = CGLS:TRFR:rvctc3.02.15:Tax.Losses.TransferredDeducted.Fraction
            [CGLS109] = CGLS:TRFR:rvctc3.02.15:Tax.Losses.TransferredDeducted.Amount
            
        -->

<assert  id="VR.ATO.CGLS.404220" diagnostics="DVR.ATO.CGLS.404220" subject="rvctc3.02.15:Tax.Losses.TransferredDeducted.Fraction" test="
                        not
                        (
                            count(
                            ../rvctc3.02.15:Tax.Losses.TransferredDeducted.Fraction[
                            not(@i:nil='true' or @i:nil='1') and @contextRef = $This.TRFR.ContextId]
                            ) = 0
                            and
                            count(
                            ../rvctc3.02.15:Tax.Losses.TransferredDeducted.Amount[
                            not(@i:nil='true' or @i:nil='1') and @contextRef = $This.TRFR.ContextId]
                            ) &gt; 0
                        )"></assert>
<!--
            Rule ID: VR.ATO.CGLS.404225
            
            IN CONTEXT(TRFR)
            IF [CGLS108] <> NULL AND [CGLS109] = NULL
            RETURN VALIDATION MESSAGE
            ENDIF

            [CGLS108] = CGLS:TRFR:rvctc3.02.15:Tax.Losses.TransferredDeducted.Fraction
            [CGLS109] = CGLS:TRFR:rvctc3.02.15:Tax.Losses.TransferredDeducted.Amount            
        -->

<assert  id="VR.ATO.CGLS.404225" diagnostics="DVR.ATO.CGLS.404225" subject="rvctc3.02.15:Tax.Losses.TransferredDeducted.Amount" test="
                        not
                        (
                            count(
                            ../rvctc3.02.15:Tax.Losses.TransferredDeducted.Fraction[
                            not(@i:nil='true' or @i:nil='1') and @contextRef = $This.TRFR.ContextId]
                            ) &gt; 0
                            and
	 	                    count(../rvctc3.02.15:Tax.Losses.TransferredDeducted.Amount[not(@i:nil='true' or @i:nil='1') and @contextRef = $This.TRFR.ContextId])
	                        = 0
                        )"></assert>
<!--
            Rule ID: VR.ATO.CGLS.404227
                
            IN CONTEXT(TRFR)
            IF [CGLS113] = NULL AND [CGLS114] <> NULL
              RETURN VALIDATION MESSAGE
            ENDIF


            [CGLS113] = CGLS:TRFR:rvctc3.02.15:Capital.Losses.TransferredApplied.Fraction
            [CGLS114] = CGLS:TRFR:rvctc3.02.15:Capital.Losses.TransferredApplied.Amount

            
        -->

<assert  id="VR.ATO.CGLS.404227" diagnostics="DVR.ATO.CGLS.404227" subject="rvctc3.02.15:Capital.Losses.TransferredApplied.Fraction" test="
                        not
                        (
                            count(
                            ../rvctc3.02.15:Capital.Losses.TransferredApplied.Fraction[
                            not(@i:nil='true' or @i:nil='1') and @contextRef = $This.TRFR.ContextId]
                            ) = 0
                            and
                            count(../rvctc3.02.15:Capital.Losses.TransferredApplied.Amount[not(@i:nil='true' or @i:nil='1') and @contextRef = $This.TRFR.ContextId])
                            &gt; 0
                        )"></assert>
<!--
            Rule ID: VR.ATO.CGLS.404230
            
            IN CONTEXT(TRFR)
            IF [CGLS113] <> NULL AND [CGLS114] = NULL
              RETURN VALIDATION MESSAGE
            ENDIF


            [CGLS113] = CGLS:TRFR:rvctc3.02.15:Capital.Losses.TransferredApplied.Fraction
            [CGLS114] = CGLS:TRFR:rvctc3.02.15:Capital.Losses.TransferredApplied.Amount
            
            
        -->

<assert  id="VR.ATO.CGLS.404230" diagnostics="DVR.ATO.CGLS.404230" subject="rvctc3.02.15:Capital.Losses.TransferredApplied.Amount" test="
                        not
                        (
                            count(
                            ../rvctc3.02.15:Capital.Losses.TransferredApplied.Fraction[
                            not(@i:nil='true' or @i:nil='1') and @contextRef = $This.TRFR.ContextId]
                            ) &gt; 0
                            and
                            count(../rvctc3.02.15:Capital.Losses.TransferredApplied.Amount[not(@i:nil='true' or @i:nil='1') and @contextRef = $This.TRFR.ContextId])
                            = 0
                        )"></assert>
</rule>

<rule context="xbrli:xbrl/xbrli:context[
                        not(@i:nil='true' or @i:nil='1') 
                        and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
                        xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1')]) = 1]/ 
                        xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1')
                        and matches(@dimension,'^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$')
                        and matches(.,'^RprtPyType\.\d\d\.\d\d:JoiningEntity$')]
                        ]">

<let name="This.JE.ContextId" value="./@id" />

<!--
            Rule ID: VR.ATO.CGLS.404143
                        
            IN CONTEXT(JE)
            IF [CGLS38] = NULL
            RETURN VALIDATION MESSAGE
            END IF
            [CGLS38] = CGLS:$JE:rvctc3:Tax.Losses.TransferredLossCancelledByHeadCompany.Amount
        -->

<assert  id="VR.ATO.CGLS.404143" diagnostics="DVR.ATO.CGLS.404143" subject="rvctc3.02.02:Tax.Losses.TransferredLossCancelledByHeadCompany.Amount" test="
                        count(
                        ../rvctc3.02.02:Tax.Losses.TransferredLossCancelledByHeadCompany.Amount[
                        not(@i:nil='true' or @i:nil='1') and @contextRef = $This.JE.ContextId]
                        ) &gt; 0"></assert>
</rule>

<rule context="xbrli:xbrl/rvctc3.02.15:Tax.Losses.TransferredDeducted.Fraction[not(@i:nil='true' or @i:nil='1')]">

<!--
            Rule ID: VR.ATO.CGLS.404221
            
            Removed by UCTCO on 25/2/16         
        -->
</rule>

<rule context="xbrli:xbrl/rvctc3.02.15:Capital.Losses.TransferredApplied.Fraction[not(@i:nil='true' or @i:nil='1')]">

<!--
            Rule ID: VR.ATO.CGLS.404228

            IF [CGLS113] = 0
              RETURN VALIDATION MESSAGE
            ENDIF

            [CGLS113] = CGLS:TRFR:rvctc3.02.15:Capital.Losses.TransferredApplied.Fraction            
        -->

<assert  id="VR.ATO.CGLS.404228" diagnostics="DVR.ATO.CGLS.404228" test="
                        not
                        (
                            (sum(./xbrli:numerator[not(@i:nil='true' or @i:nil='1')]) div
                             sum(./xbrli:denominator[not(@i:nil='true' or @i:nil='1')]))
                             = 0
                        )"></assert>
</rule>
</pattern>
