﻿<?xml version="1.0" encoding="utf-8"?>
<pattern id="ElementVariables" xmlns="http://purl.oclc.org/dsdl/schematron">
    <title>XBRL Element Variables</title>

<let name="FITR1" value="xbrli:xbrl/pyin.02.00:Report.TargetFinancial.Year[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="FITR10" value="xbrli:xbrl/address2.02.02:AddressDetails[not(@i:nil='true' or @i:nil='1')]/pyde.02.00:AddressDetails.StateOrTerritory.Code[@contextRef=$RP.ContextId and ../pyde.02.01:AddressDetails.Usage.Code = 'POS' and ../pyde.02.00:AddressDetails.Currency.Code = 'C' and not(@i:nil='true' or @i:nil='1')]" />
<let name="FITR11" value="xbrli:xbrl/address2.02.02:AddressDetails[not(@i:nil='true' or @i:nil='1')]/pyde.02.00:AddressDetails.Postcode.Text[@contextRef=$RP.ContextId and ../pyde.02.01:AddressDetails.Usage.Code = 'POS' and ../pyde.02.00:AddressDetails.Currency.Code = 'C' and not(@i:nil='true' or @i:nil='1')]" />
<let name="FITR12" value="xbrli:xbrl/fitr.0003.lodge.req.02.00:Trustee[not(@i:nil='true' or @i:nil='1')]/orgname2.02.00:OrganisationNameDetails[not(@i:nil='true' or @i:nil='1')]/pyde.02.00:OrganisationNameDetails.OrganisationalName.Text[@contextRef=$RP.ContextId and ../pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code = 'MN' and ../pyde.02.00:OrganisationNameDetails.Currency.Code = 'C' and not(@i:nil='true' or @i:nil='1')]" />
<let name="FITR13" value="xbrli:xbrl/fitr.0003.lodge.req.02.00:Trustee[not(@i:nil='true' or @i:nil='1')]/pyid.02.00:Identifiers.AustralianBusinessNumber.Identifier[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="FITR14" value="xbrli:xbrl/pyde.02.03:Party.Type.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="FITR15" value="xbrli:xbrl/emsup.02.00:SuperannuationFundDetails.AustralianSuperannuationFundStatus.Indicator[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="FITR16" value="xbrli:xbrl/emsup.02.05:SuperannuationFundDetails.FundBenefitStructure.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="FITR17" value="xbrli:xbrl/pyde.02.00:OrganisationControl.RegisteredMembers.Count[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="FITR18" value="xbrli:xbrl/pyde.02.00:OrganisationDetails.Establishment.Date[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="FITR19" value="xbrli:xbrl/pyde.02.05:OrganisationDetails.OperationCease.Indicator[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="FITR20" value="xbrli:xbrl/pyde.02.00:OrganisationDetails.OrganisationActivityStatusEnd.Date[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="FITR21" value="xbrli:xbrl/rvctc3.02.00:CapitalGainsTax.Event.Indicator[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="FITR23" value="xbrli:xbrl/bafpr1.02.00:Income.CapitalGainsNet.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="FITR24" value="xbrli:xbrl/bafpr1.02.02:Income.RentLeasingHiringGross.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="FITR25" value="xbrli:xbrl/bafpr2.02.02:Income.Interest.Gross.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="FITR26" value="xbrli:xbrl/bafpr1.02.02:Income.ForestryManagedInvestmentScheme.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="FITR27" value="xbrli:xbrl/bafpr1.02.04:Income.Gross.Amount[@contextRef=$RP.JFOREIGN.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="FITR28" value="xbrli:xbrl/bafpr1.02.09:Income.Net.Amount[@contextRef=$RP.JFOREIGN.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="FITR29" value="xbrli:xbrl/rvctc2.02.00:IncomeTax.FrankingCredits.ReceivedFromNewZealandCompanies.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="FITR30" value="xbrli:xbrl/bafot.02.05:Equity.InternationalDealings.ForeignFundTransfers.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="FITR31" value="xbrli:xbrl/rvctc4.02.00:InternationalDealings.ForeignFundTransfers.Count[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="FITR32" value="xbrli:xbrl/lrla.02.00:Remuneration.ABNNotQuotedPaymentGross.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="FITR33" value="xbrli:xbrl/bafpr1.02.02:Income.PartnershipDistributionGross.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="FITR34" value="xbrli:xbrl/bafpr1.02.05:Income.DividendsUnfranked.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="FITR35" value="xbrli:xbrl/bafpr1.02.00:Income.DividendsFranked.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="FITR36" value="xbrli:xbrl/rvctc1.02.03:IncomeTax.FrankingCredits.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="FITR37" value="xbrli:xbrl/bafpr1.02.04:Income.TrustDistributionUnfranked.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="FITR38" value="xbrli:xbrl/bafpr1.02.04:Income.TrustDistributionFranked.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="FITR39" value="xbrli:xbrl/rvctc2.02.00:IncomeTax.FrankingCredits.FrankingCreditShareReceivedIndirectly.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="FITR40" value="xbrli:xbrl/bafpr1.02.00:Income.TrustDistributionOther.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="FITR41" value="xbrli:xbrl/emsup.02.01:SuperannuationContribution.EmployerAssessable.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="FITR42" value="xbrli:xbrl/emsup.02.02:SuperannuationContribution.PersonalAssessable.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="FITR43" value="xbrli:xbrl/emsup.02.05:SuperannuationContribution.EmployerContributionsTaxFileNumberNotQuoted.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="FITR44" value="xbrli:xbrl/emsup.02.00:SuperannuationContribution.ContributionsExcludedByTrustee.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="FITR45" value="xbrli:xbrl/emsup.02.00:SuperannuationContribution.ReducedContributions.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="FITR46" value="xbrli:xbrl/emsup.02.01:SuperannuationContribution.LiabilityTransferToLifeInsuranceCompanyOrPooledSuperannuationTrustAssessable.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="FITR47" value="xbrli:xbrl/bafpr1.02.04:Income.Other.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="FITR48" value="xbrli:xbrl/bafpr1.02.05:Income.Other.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="FITR49" value="xbrli:xbrl/bafpr1.02.04:Income.AssessableIncomeDueToFundTaxStatusChange.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="FITR50" value="xbrli:xbrl/bafpr1.02.04:Income.NonArmsLengthOtherNet.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="FITR52" value="xbrli:xbrl/bafpr1.02.05:Expense.Interest.Amount[@contextRef=$RP.JAUS.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="FITR53" value="xbrli:xbrl/bafpr1.02.05:Expense.Interest.Amount[@contextRef=$RP.JFOREIGN.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="FITR54" value="xbrli:xbrl/lrla.02.00:Remuneration.WagesandSalaries.Payments.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="FITR55" value="xbrli:xbrl/bafpr1.02.02:Expense.CapitalWorksDeduction.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="FITR56" value="xbrli:xbrl/bafpr1.02.15:Expense.DepreciationAllowableDeduction.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="FITR57" value="xbrli:xbrl/bafpr1.02.05:Expense.PremiumsDeathOrDisability.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="FITR58" value="xbrli:xbrl/bafpr1.02.05:Expense.DeathBenefitLumpSumIncrease.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="FITR59" value="xbrli:xbrl/bafpr1.02.05:Expense.Investment.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="FITR61" value="xbrli:xbrl/bafpr1.02.02:Expense.ForestryManagedInvestmentSchemeDeduction.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="FITR62" value="xbrli:xbrl/bafpr1.02.04:Expense.DeductibleOther.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="FITR63" value="xbrli:xbrl/bafpr1.02.04:Expense.DeductibleOther.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="FITR64" value="xbrli:xbrl/rvctc2.02.00:IncomeTax.Deduction.TaxLossesDeducted.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="FITR65" value="xbrli:xbrl/bafpr1.02.02:Income.Taxable.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="FITR66" value="xbrli:xbrl/rvctc1.02.01:IncomeTax.TaxableGross.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="FITR67" value="xbrli:xbrl/bafpr3.02.02:Income.InternationalDealings.TaxOffset.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="FITR68" value="xbrli:xbrl/rvctc1.02.03:IncomeTax.TaxOffsetsAndRebatesTotal.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="FITR69" value="xbrli:xbrl/rvctc4.02.00:InternationalDealings.AAMInterestSection102.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="FITR70" value="xbrli:xbrl/bafpr2.02.09:Income.Interest.EarlyPaymentCredit.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="FITR71" value="xbrli:xbrl/rvctc2.02.02:IncomeTax.PayAsYouGoWithholding.CreditForAmountsWithheldFromForeignResidents.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="FITR72" value="xbrli:xbrl/rvctc2.02.02:IncomeTax.PayAsYouGoWithholding.CreditForAmountsWithheldTFNNotQuotedAndABNNotQuoted.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="FITR73" value="xbrli:xbrl/rvctc2.02.02:IncomeTax.FrankingCredits.Refundable.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="FITR74" value="xbrli:xbrl/rvctc1.02.00:IncomeTax.LiabilityInstalmentsTotal.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="FITR75" value="xbrli:xbrl/rvctc1.02.03:IncomeTax.PayableOrRefundableTotal.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="FITR76" value="xbrli:xbrl/rvctc3.02.02:Tax.Losses.CarriedForward.LaterIncomeYearsTotal.Amount[@contextRef=$RP.Closing.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="FITR77" value="xbrli:xbrl/rvctc3.02.03:CapitalGainsTax.CapitalLossesCarriedForwardNet.Amount[@contextRef=$RPI.Closing.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="FITR78" value="xbrli:xbrl/bafpr3.02.02:Income.InternationalDealings.Attributed.Amount[@contextRef=$RP.CFCLC.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="FITR79" value="xbrli:xbrl/bafpr3.02.02:Income.InternationalDealings.Attributed.Amount[@contextRef=$RP.CFC404.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="FITR80" value="xbrli:xbrl/bafpr3.02.02:Income.InternationalDealings.Attributed.Amount[@contextRef=$RP.CFCUC.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="FITR83" value="xbrli:xbrl/bafpo1.02.10:Equity.NetAssetsCalculated.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="FITR84" value="xbrli:xbrl/rvctc2.02.00:IncomeTax.Superannuation.TransferredAssessable.Indicator[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="FITR85" value="xbrli:xbrl/fitr.0003.lodge.req.02.00:Transferee[not(@i:nil='true' or @i:nil='1')]/orgname2.02.00:OrganisationNameDetails[not(@i:nil='true' or @i:nil='1')]/pyde.02.00:OrganisationNameDetails.OrganisationalName.Text[@contextRef=$RP.ContextId and ../pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code = 'MN' and ../pyde.02.00:OrganisationNameDetails.Currency.Code = 'C' and not(@i:nil='true' or @i:nil='1')]" />
<let name="FITR86" value="xbrli:xbrl/fitr.0003.lodge.req.02.00:Transferee[not(@i:nil='true' or @i:nil='1')]/pyid.02.00:Identifiers.AustralianBusinessNumber.Identifier[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="FITR87" value="xbrli:xbrl/fitr.0003.lodge.req.02.00:Transferee[not(@i:nil='true' or @i:nil='1')]/rvctc2.02.00:IncomeTax.Superannuation.TransferredAssessable.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="FITR88" value="xbrli:xbrl/fitr.0003.lodge.req.02.00:Transferee[not(@i:nil='true' or @i:nil='1')]/rvctc2.02.00:IncomeTax.Superannuation.MarketValueTransfer.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="FITR89" value="xbrli:xbrl/rvctc2.02.00:IncomeTax.Superannuation.MarketValueTotal.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="FITR90" value="xbrli:xbrl/rvctc4.02.05:InternationalDealings.RelatedPartiesTransactions.Indicator[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="FITR91" value="xbrli:xbrl/rvctc4.02.05:InternationalDealings.RelatedPartiesTransactionsExcessAggregateValue.Indicator[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="FITR92" value="xbrli:xbrl/rvctc4.02.03:InternationalDealings.DirectOrIndirectOverseasInterest.Indicator[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="FITR93" value="xbrli:xbrl/rvctc4.02.00:InternationalDealings.ForeignSourceIncomeExcessAggregateValue.Indicator[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="FITR94" value="xbrli:xbrl/rvctc4.02.00:InternationalDealings.TransactionswithTaxHavenCountries.Indicator[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="FITR96" value="xbrli:xbrl/rvctc2.02.00:IncomeTax.Deduction.ClaimedDeathOrDisabilityDeductionWhichRequiresCertificate.Indicator[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="FITR97" value="xbrli:xbrl/rvctc2.02.00:IncomeTax.Deduction.ClaimedDeathOrDisabilityDeductionCertificateObtained.Indicator[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="FITR98" value="xbrli:xbrl/emsup.02.00:SuperannuationPayment.PaymentsToContributingEmployersAndAssociates.Indicator[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="FITR103" value="xbrli:xbrl/prsnstrcnm3.02.01:PersonNameDetails[not(@i:nil='true' or @i:nil='1')]/pyde.02.00:PersonNameDetails.FamilyName.Text[@contextRef=$RP.ContextId and ../pyde.02.00:PersonNameDetails.PersonNameType.Code = 'LGL' and ../pyde.02.05:PersonNameDetails.Usage.Code = 'Contact' and ../pyde.02.00:PersonNameDetails.Currency.Code = 'C' and not(@i:nil='true' or @i:nil='1')]" />
<let name="FITR108" value="xbrli:xbrl/phone1.02.00:ElectronicContactTelephone[not(@i:nil='true' or @i:nil='1')]/pyde.02.00:ElectronicContact.Telephone.Minimal.Number[@contextRef=$RP.ContextId and ../pyde.02.00:ElectronicContact.Telephone.Usage.Code = '03' and not(@i:nil='true' or @i:nil='1')]" />
<let name="FITR118" value="xbrli:xbrl/phone1.02.00:ElectronicContactTelephone[not(@i:nil='true' or @i:nil='1')]/pyde.02.00:ElectronicContact.Telephone.Minimal.Number[@contextRef=$INT.ContextId and ../pyde.02.00:ElectronicContact.Telephone.Usage.Code = '03' and not(@i:nil='true' or @i:nil='1')]" />
<let name="FITR119" value="xbrli:xbrl/pyid.02.00:Identifiers.TaxAgentClientReference.Text[@contextRef=$INT.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="FITR131" value="xbrli:xbrl/rvctc1.02.03:IncomeTax.TaxOffsetTFNNotQuoted.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="FITR132" value="xbrli:xbrl/rvctc1.02.03:IncomeTax.TaxOffsetCalculatedInterestTFNNotQuoted.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="FITR133" value="xbrli:xbrl/rvctc1.02.03:IncomeTax.TaxOffsetEntitlementForNationalRentalAffordabilityScheme.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="FITR134" value="xbrli:xbrl/bafpr1.02.04:Income.GainsTotal.Amount[@contextRef=$RP.TOFA.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="FITR135" value="xbrli:xbrl/bafpr1.02.04:Expense.LossesTotal.Amount[@contextRef=$RP.TOFA.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="FITR136" value="xbrli:xbrl/bafpr1.02.05:Income.BalancingAdjustmentTotal.Amount[@contextRef=$RP.TOFA.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="FITR137" value="xbrli:xbrl/rvctc1.02.01:IncomeTax.FinancialArrangementRelatedGainLossOrBalancingAdjustmentsSubjectToTOFARules.Indicator[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="FITR141" value="xbrli:xbrl/phone1.02.00:ElectronicContactTelephone[not(@i:nil='true' or @i:nil='1')]/pyde.02.00:ElectronicContact.Telephone.Usage.Code[@contextRef=$RP.ContextId and ../pyde.02.00:ElectronicContact.Telephone.Usage.Code = '03' and not(@i:nil='true' or @i:nil='1')]" />
<let name="FITR143" value="xbrli:xbrl/address2.02.02:AddressDetails[not(@i:nil='true' or @i:nil='1')]/pyde.02.00:AddressDetails.OverseasAddress.Indicator[@contextRef=$RP.ContextId and ../pyde.02.01:AddressDetails.Usage.Code = 'POS' and ../pyde.02.00:AddressDetails.Currency.Code = 'C' and not(@i:nil='true' or @i:nil='1')]" />
<let name="FITR153" value="xbrli:xbrl/prsnstrcnm3.02.01:PersonNameDetails[not(@i:nil='true' or @i:nil='1')]/pyde.02.00:PersonNameDetails.PersonNameType.Code[@contextRef=$INT.ContextId and ../pyde.02.00:PersonNameDetails.PersonNameType.Code = 'LGL' and ../pyde.02.05:PersonNameDetails.Usage.Code = 'Contact' and ../pyde.02.00:PersonNameDetails.Currency.Code = 'C' and not(@i:nil='true' or @i:nil='1')]" />
<let name="FITR156" value="xbrli:xbrl/phone1.02.00:ElectronicContactTelephone[not(@i:nil='true' or @i:nil='1')]/pyde.02.00:ElectronicContact.Telephone.Usage.Code[@contextRef=$INT.ContextId and ../pyde.02.00:ElectronicContact.Telephone.Usage.Code = '03' and not(@i:nil='true' or @i:nil='1')]" />
<let name="FITR158" value="xbrli:xbrl/email1.02.00:ElectronicContactElectronicMail[not(@i:nil='true' or @i:nil='1')]/pyde.02.00:ElectronicContact.ElectronicMail.Usage.Code[@contextRef=$RP.ContextId and ../pyde.02.00:ElectronicContact.ElectronicMail.Usage.Code = '03' and not(@i:nil='true' or @i:nil='1')]" />
<let name="FITR159" value="xbrli:xbrl/orgname2.02.00:OrganisationNameDetails[not(@i:nil='true' or @i:nil='1')]/pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code[@contextRef=$INT.ContextId and ../pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code = 'MN' and ../pyde.02.00:OrganisationNameDetails.Currency.Code = 'C' and not(@i:nil='true' or @i:nil='1')]" />
<let name="FITR161" value="xbrli:xbrl/declaration2.02.01:Declaration[not(@i:nil='true' or @i:nil='1')]/pyin.02.03:Declaration.StatementType.Code[@contextRef=$RP.ContextId and ../pyin.02.03:Declaration.StatementType.Code = 'TrueAndCorrect' and not(@i:nil='true' or @i:nil='1')]" />
<let name="FITR164" value="xbrli:xbrl/declaration2.02.01:Declaration[not(@i:nil='true' or @i:nil='1')]/pyin.02.03:Declaration.StatementType.Code[@contextRef=$INT.ContextId and ../pyin.02.03:Declaration.StatementType.Code = 'TrueAndCorrect' and not(@i:nil='true' or @i:nil='1')]" />
<let name="FITR175" value="xbrli:xbrl/rvctc2.02.03:IncomeTax.PayAsYouGoWithholding.CreditForTaxWithheldFromCloselyHeldTrustShareReceivedIndirectly.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="FITR181" value="xbrli:xbrl/rvctc1.02.04:IncomeTax.TFNNotQuotedContributionsTax.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="FITR182" value="xbrli:xbrl/rvctc1.02.07:IncomeTax.TotalTaxOnTaxableIncome.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="FITR183" value="xbrli:xbrl/rvctc1.02.07:IncomeTax.SubtotalTaxPayable.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="FITR184" value="xbrli:xbrl/rvctc1.02.07:IncomeTax.TotalRefundableTaxOffsets.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="FITR185" value="xbrli:xbrl/rvctc1.02.07:IncomeTax.TotalRemainderOfRefundableTaxOffsets.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="FITR186" value="xbrli:xbrl/bafpr1.02.09:Income.ForeignExchangeGains.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="FITR187" value="xbrli:xbrl/bafpr1.02.09:Income.ForeignExchangeLosses.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="FITR188" value="xbrli:xbrl/bafpr2.02.09:Expense.Operating.AdministrativeExpense.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="FITR189" value="xbrli:xbrl/rvctc1.02.07:IncomeTax.TaxOffsetNonRefundableNonCarryForward.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="FITR190" value="xbrli:xbrl/bafpr2.02.10:Expense.Operating.ManagementExpense.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="FITR199" value="xbrli:xbrl/rvctc1.02.01:IncomeTax.Payable.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="FITR200" value="xbrli:xbrl/gfagc.02.04:TaxConcession.PensionIncomeExemptDeduction.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="FITR201" value="xbrli:xbrl/rvctc2.02.06:IncomeTax.Deduction.CreditsEligibleTotal.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="FITR202" value="xbrli:xbrl/bafot.02.00:RegulatoryDisclosures.GeneralInformationAboutFinancialStatements.Text[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="FITR203" value="xbrli:xbrl/rvctc3.02.11:CapitalGainsTax.ExemptionOrRolloverApplied.Indicator[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="FITR204" value="xbrli:xbrl/rvctc3.02.11:CapitalGainsTax.ExemptionOrRolloverApplied.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="FITR205" value="xbrli:xbrl/rvctc1.02.11:IncomeTax.TaxOffsetRefundableOther.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
</pattern>