﻿<?xml version="1.0" encoding="utf-8"?>
<pattern id="Mandatories" xmlns="http://purl.oclc.org/dsdl/schematron">
    <title>Rule validations that are applicable to IDS.</title>


<rule context="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]">
<!--
            IF [IDS1] = NULL
                RETURN VALIDATION MESSAGE
            ENDIF

            [IDS1] = IDS:RP:rvctc4.02.05:InternationalDealings.RelatedPartiesTransactionsExcessAggregateValue.Indicator
        -->


<assert  id="VR.ATO.IDS.440000" diagnostics="DVR.ATO.IDS.440000" test="rvctc4.02.05:InternationalDealings.RelatedPartiesTransactionsExcessAggregateValue.Indicator[not(@i:nil='true' or @i:nil='1') and @contextRef = $RP.ContextId]"></assert>
<!--   
            IF [IDS151] = NULL
                 RETURN VALIDATION MESSAGE
            ENDIF

            [IDS151] = IDS:RP:rvctc4.02.05:InternationalDealings.RestructuringEvents.Indicator
        -->


<assert  id="VR.ATO.IDS.440077" diagnostics="DVR.ATO.IDS.440077" test="rvctc4.02.05:InternationalDealings.RestructuringEvents.Indicator[not(@i:nil='true' or @i:nil='1') and @contextRef = $RP.ContextId]"></assert>
<!--
            IF [IDS159] = NULL
                RETURN VALIDATION MESSAGE
            ENDIF

            [IDS159] = IDS:RP:rvctc4.02.05:InternationalDealings.TransactionsRestructuringEventsAssetRevaluation.Indicator
        -->


<assert  id="VR.ATO.IDS.440079" diagnostics="DVR.ATO.IDS.440079" test="rvctc4.02.05:InternationalDealings.TransactionsRestructuringEventsAssetRevaluation.Indicator[not(@i:nil='true' or @i:nil='1') and @contextRef = $RP.ContextId]"></assert>
<!--
            IF [IDS160] = NULL
              RETURN VALIDATION MESSAGE
            ENDIF

            [IDS160] = IDS:RP:rvctc4.02.05:InternationalDealings.BranchOperations.Indicator
        -->


<assert  id="VR.ATO.IDS.440082" diagnostics="DVR.ATO.IDS.440082" test="rvctc4.02.05:InternationalDealings.BranchOperations.Indicator[not(@i:nil='true' or @i:nil='1') and @contextRef = $RP.ContextId]"></assert>
<!--
            IF [IDS172] = NULL
                RETURN VALIDATION MESSAGE
            ENDIF

            [IDS172] = IDS:RP:rvctc4.02.05:InternationalDealings.FinancialArrangements.Indicator
        -->


<assert  id="VR.ATO.IDS.440097" diagnostics="DVR.ATO.IDS.440097" test="rvctc4.02.05:InternationalDealings.FinancialArrangements.Indicator[not(@i:nil='true' or @i:nil='1') and @contextRef = $RP.ContextId]"></assert>
<!--
            IF [IDS177] = NULL
                RETURN VALIDATION MESSAGE
            ENDIF

            [IDS177] = IDS:RP:rvctc4.02.05:InternationalDealings.TaxationOfFinancialArrangementsRulesApplied.Indicator
        -->


<assert  id="VR.ATO.IDS.440104" diagnostics="DVR.ATO.IDS.440104" test="rvctc4.02.05:InternationalDealings.TaxationOfFinancialArrangementsRulesApplied.Indicator[not(@i:nil='true' or @i:nil='1') and @contextRef = $RP.ContextId]"></assert>
<!--
            IF [IDS184] = NULL
                RETURN VALIDATION MESSAGE
            ENDIF

            [IDS184] = IDS:RP:bafot.02.11:Miscellaneous.InterestInControlledForeignCompaniesAndControlledForeignTrusts.Indicator    
        -->


<assert  id="VR.ATO.IDS.440107" diagnostics="DVR.ATO.IDS.440107" test="bafot.02.11:Miscellaneous.InterestInControlledForeignCompaniesAndControlledForeignTrusts.Indicator[not(@i:nil='true' or @i:nil='1') and @contextRef = $RP.ContextId]"></assert>
<!--
            IF [IDS195] = NULL
              RETURN VALIDATION MESSAGE
            ENDIF

            [IDS195] = IDS:RP:bafpr1.02.12:Income.ForeignBranchOperationsInterestsInForeignCompaniesOrForeignTrusts.Indicator
        -->


<assert  id="VR.ATO.IDS.440117" diagnostics="DVR.ATO.IDS.440117" test="bafpr1.02.12:Income.ForeignBranchOperationsInterestsInForeignCompaniesOrForeignTrusts.Indicator[not(@i:nil='true' or @i:nil='1') and @contextRef = $RP.ContextId]"></assert>
<!--
            IF [IDS220] = NULL
                RETURN VALIDATION MESSAGE
            ENDIF

            [IDS220] = IDS:RP:bafpo6.02.13:Liabilities.ThinCapitalisation.ProvisionsApplied.Indicator
       -->


<assert  id="VR.ATO.IDS.440146" diagnostics="DVR.ATO.IDS.440146" test="bafpo6.02.13:Liabilities.ThinCapitalisation.ProvisionsApplied.Indicator[not(@i:nil='true' or @i:nil='1') and @contextRef = $RP.ContextId]"></assert>
<!--
            IF [IDS263] = NULL
              RETURN VALIDATION MESSAGE
            ENDIF

            [IDS263] = IDS:RP:bafot.02.11:FinancialServices.ForeignBankOrQualifyingFinancialEntity.Indicator
        -->


<assert  id="VR.ATO.IDS.440205" diagnostics="DVR.ATO.IDS.440205" test="bafot.02.11:FinancialServices.ForeignBankOrQualifyingFinancialEntity.Indicator[not(@i:nil='true' or @i:nil='1') and @contextRef = $RP.ContextId]"></assert>
<!--
            IF [IDS268] = NULL
                RETURN VALIDATION MESSAGE
            ENDIF

            [IDS268] = IDS:RP:bafot.02.11:FinancialServices.OffshoreBankingUnitOrHeadConsolidatedGroup.Indicator
        -->


<assert  id="VR.ATO.IDS.440214" diagnostics="DVR.ATO.IDS.440214" test="bafot.02.11:FinancialServices.OffshoreBankingUnitOrHeadConsolidatedGroup.Indicator[not(@i:nil='true' or @i:nil='1') and @contextRef = $RP.ContextId]"></assert>
</rule>
</pattern>